Skip to main content
PUT
/
calendars
/
resources
/
{resourceType}
/
{id}
Update Calendar Resource
curl --request PUT \
  --url https://services.leadconnectorhq.com/calendars/resources/{resourceType}/{id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --header 'Version: <version>' \
  --data '
{
  "locationId": "<string>",
  "name": "<string>",
  "description": "<string>",
  "quantity": 123,
  "outOfService": 123,
  "capacity": 123,
  "calendarIds": [
    "<string>"
  ],
  "isActive": true
}
'
{
  "locationId": "<string>",
  "name": "yoga room",
  "resourceType": "equipments",
  "isActive": true,
  "description": "<string>",
  "quantity": 123,
  "outOfService": 0,
  "capacity": 85
}

Authorizations

Authorization
string
header
required

Use the Access Token generated with user type as Sub-Account (OR) Private Integration Token of Sub-Account.

Headers

Version
enum<string>
required

API Version

Available options:
2021-04-15

Path Parameters

resourceType
enum<string>
required

Calendar Resource Type

Available options:
equipments,
rooms
id
string
required

Calendar Resource ID

Body

application/json
locationId
string
name
string
description
string
quantity
number

Quantity of the equipment.

outOfService
number

Quantity of the out of service equipment.

capacity
number

Capacity of the room.

calendarIds
string[]

Service calendar IDs to be mapped with the resource.

One equipment can only be mapped with one service calendar.

One room can be mapped with multiple service calendars.

Maximum array length: 100
isActive
boolean

Response

Calendar resource updated

locationId
string
required

Location ID of the resource

name
string
required

Name of the resource

Example:

"yoga room"

resourceType
enum<string>
required
Available options:
equipments,
rooms
isActive
boolean
required

Whether the resource is active

description
string

Description of the resource

quantity
number

Quantity of the resource

outOfService
number

Indicates if the resource is out of service

Example:

0

capacity
number

Capacity of the resource

Example:

85

Last modified on March 4, 2026